Changeset 2089 for trunk


Ignore:
Timestamp:
Jan 17, 2015 12:01:54 PM (5 years ago)
Author:
tkr
Message:

Re-running autotools

Location:
trunk
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/configure

    r2088 r2089  
    41194119  enable_shared=yes;
    41204120else
    4121   # On Cygwin and AIX, building DLLs doesn't work
    41224121  case $build in
    41234122    *-cygwin* | *-mingw*)
     
    41264125        case "$CC" in
    41274126          clang* )
    4128             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    4129 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4127            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4128echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
    41304129            ;;
    41314130          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4132             { echo "$as_me:$LINENO: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&5
    4133 echo "$as_me: DLL building not supported, but will build with -MD(d) instead of -MT(d)." >&6;}
     4131            { echo "$as_me:$LINENO: Building of DLLs not supported in this configuration." >&5
     4132echo "$as_me: Building of DLLs not supported in this configuration." >&6;}
    41344133            ;;
    41354134          *gcc*)
     
    41374136              coin_disable_shared=no
    41384137            else
    4139               { echo "$as_me:$LINENO: WARNING: To build shared libraries with gcc on CYGWIN or MSys, use --enable-dependency-linking" >&5
    4140 echo "$as_me: WARNING: To build shared libraries with gcc on CYGWIN or MSys, use --enable-dependency-linking" >&2;}
     4138              { echo "$as_me:$LINENO: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&5
     4139echo "$as_me: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&2;}
    41414140            fi
    41424141            ;;
    41434142          *)
    4144             { echo "$as_me:$LINENO: WARNING: DLL building not supported. I'm disabling your choice." >&5
    4145 echo "$as_me: WARNING: DLL building not supported. I'm disabling your choice." >&2;}
     4143            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4144echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
    41464145            ;;
    41474146        esac
     
    41524151      platform=AIX
    41534152      if test x"$enable_shared" = xyes; then
    4154         { echo "$as_me:$LINENO: WARNING: Shared objects are not supported. I'm disabling your choice." >&5
    4155 echo "$as_me: WARNING: Shared objects are not supported. I'm disabling your choice." >&2;}
     4153        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported." >&5
     4154echo "$as_me: WARNING: Shared objects are not supported." >&2;}
    41564155      fi
    41574156    ;;
     
    58705869*-*-irix6*)
    58715870  # Find out which ABI we are using.
    5872   echo '#line 5872 "configure"' > conftest.$ac_ext
     5871  echo '#line 5871 "configure"' > conftest.$ac_ext
    58735872  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58745873  (eval $ac_compile) 2>&5
     
    70047003
    70057004# Provide some information about the compiler.
    7006 echo "$as_me:7006:" \
     7005echo "$as_me:7005:" \
    70077006     "checking for Fortran 77 compiler version" >&5
    70087007ac_compiler=`set X $ac_compile; echo $2`
     
    80718070   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80728071   -e 's:$: $lt_compiler_flag:'`
    8073    (eval echo "\"\$as_me:8073: $lt_compile\"" >&5)
     8072   (eval echo "\"\$as_me:8072: $lt_compile\"" >&5)
    80748073   (eval "$lt_compile" 2>conftest.err)
    80758074   ac_status=$?
    80768075   cat conftest.err >&5
    8077    echo "$as_me:8077: \$? = $ac_status" >&5
     8076   echo "$as_me:8076: \$? = $ac_status" >&5
    80788077   if (exit $ac_status) && test -s "$ac_outfile"; then
    80798078     # The compiler can only warn and ignore the option if not recognized
     
    83398338   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83408339   -e 's:$: $lt_compiler_flag:'`
    8341    (eval echo "\"\$as_me:8341: $lt_compile\"" >&5)
     8340   (eval echo "\"\$as_me:8340: $lt_compile\"" >&5)
    83428341   (eval "$lt_compile" 2>conftest.err)
    83438342   ac_status=$?
    83448343   cat conftest.err >&5
    8345    echo "$as_me:8345: \$? = $ac_status" >&5
     8344   echo "$as_me:8344: \$? = $ac_status" >&5
    83468345   if (exit $ac_status) && test -s "$ac_outfile"; then
    83478346     # The compiler can only warn and ignore the option if not recognized
     
    84438442   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84448443   -e 's:$: $lt_compiler_flag:'`
    8445    (eval echo "\"\$as_me:8445: $lt_compile\"" >&5)
     8444   (eval echo "\"\$as_me:8444: $lt_compile\"" >&5)
    84468445   (eval "$lt_compile" 2>out/conftest.err)
    84478446   ac_status=$?
    84488447   cat out/conftest.err >&5
    8449    echo "$as_me:8449: \$? = $ac_status" >&5
     8448   echo "$as_me:8448: \$? = $ac_status" >&5
    84508449   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84518450   then
     
    1078810787  lt_status=$lt_dlunknown
    1078910788  cat > conftest.$ac_ext <<EOF
    10790 #line 10790 "configure"
     10789#line 10789 "configure"
    1079110790#include "confdefs.h"
    1079210791
     
    1088810887  lt_status=$lt_dlunknown
    1088910888  cat > conftest.$ac_ext <<EOF
    10890 #line 10890 "configure"
     10889#line 10889 "configure"
    1089110890#include "confdefs.h"
    1089210891
     
    1323213231   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1323313232   -e 's:$: $lt_compiler_flag:'`
    13234    (eval echo "\"\$as_me:13234: $lt_compile\"" >&5)
     13233   (eval echo "\"\$as_me:13233: $lt_compile\"" >&5)
    1323513234   (eval "$lt_compile" 2>conftest.err)
    1323613235   ac_status=$?
    1323713236   cat conftest.err >&5
    13238    echo "$as_me:13238: \$? = $ac_status" >&5
     13237   echo "$as_me:13237: \$? = $ac_status" >&5
    1323913238   if (exit $ac_status) && test -s "$ac_outfile"; then
    1324013239     # The compiler can only warn and ignore the option if not recognized
     
    1333613335   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333713336   -e 's:$: $lt_compiler_flag:'`
    13338    (eval echo "\"\$as_me:13338: $lt_compile\"" >&5)
     13337   (eval echo "\"\$as_me:13337: $lt_compile\"" >&5)
    1333913338   (eval "$lt_compile" 2>out/conftest.err)
    1334013339   ac_status=$?
    1334113340   cat out/conftest.err >&5
    13342    echo "$as_me:13342: \$? = $ac_status" >&5
     13341   echo "$as_me:13341: \$? = $ac_status" >&5
    1334313342   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1334413343   then
     
    1490614905   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1490714906   -e 's:$: $lt_compiler_flag:'`
    14908    (eval echo "\"\$as_me:14908: $lt_compile\"" >&5)
     14907   (eval echo "\"\$as_me:14907: $lt_compile\"" >&5)
    1490914908   (eval "$lt_compile" 2>conftest.err)
    1491014909   ac_status=$?
    1491114910   cat conftest.err >&5
    14912    echo "$as_me:14912: \$? = $ac_status" >&5
     14911   echo "$as_me:14911: \$? = $ac_status" >&5
    1491314912   if (exit $ac_status) && test -s "$ac_outfile"; then
    1491414913     # The compiler can only warn and ignore the option if not recognized
     
    1501015009   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501115010   -e 's:$: $lt_compiler_flag:'`
    15012    (eval echo "\"\$as_me:15012: $lt_compile\"" >&5)
     15011   (eval echo "\"\$as_me:15011: $lt_compile\"" >&5)
    1501315012   (eval "$lt_compile" 2>out/conftest.err)
    1501415013   ac_status=$?
    1501515014   cat out/conftest.err >&5
    15016    echo "$as_me:15016: \$? = $ac_status" >&5
     15015   echo "$as_me:15015: \$? = $ac_status" >&5
    1501715016   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1501815017   then
     
    1721717216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1721817217   -e 's:$: $lt_compiler_flag:'`
    17219    (eval echo "\"\$as_me:17219: $lt_compile\"" >&5)
     17218   (eval echo "\"\$as_me:17218: $lt_compile\"" >&5)
    1722017219   (eval "$lt_compile" 2>conftest.err)
    1722117220   ac_status=$?
    1722217221   cat conftest.err >&5
    17223    echo "$as_me:17223: \$? = $ac_status" >&5
     17222   echo "$as_me:17222: \$? = $ac_status" >&5
    1722417223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1722517224     # The compiler can only warn and ignore the option if not recognized
     
    1748517484   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1748617485   -e 's:$: $lt_compiler_flag:'`
    17487    (eval echo "\"\$as_me:17487: $lt_compile\"" >&5)
     17486   (eval echo "\"\$as_me:17486: $lt_compile\"" >&5)
    1748817487   (eval "$lt_compile" 2>conftest.err)
    1748917488   ac_status=$?
    1749017489   cat conftest.err >&5
    17491    echo "$as_me:17491: \$? = $ac_status" >&5
     17490   echo "$as_me:17490: \$? = $ac_status" >&5
    1749217491   if (exit $ac_status) && test -s "$ac_outfile"; then
    1749317492     # The compiler can only warn and ignore the option if not recognized
     
    1758917588   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759017589   -e 's:$: $lt_compiler_flag:'`
    17591    (eval echo "\"\$as_me:17591: $lt_compile\"" >&5)
     17590   (eval echo "\"\$as_me:17590: $lt_compile\"" >&5)
    1759217591   (eval "$lt_compile" 2>out/conftest.err)
    1759317592   ac_status=$?
    1759417593   cat out/conftest.err >&5
    17595    echo "$as_me:17595: \$? = $ac_status" >&5
     17594   echo "$as_me:17594: \$? = $ac_status" >&5
    1759617595   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1759717596   then
     
    2047920478  dependency_linking="$enableval"
    2048020479else
    20481   dependency_linking=yes
     20480  dependency_linking=auto
    2048220481fi;
    2048320482
    20484 # ToDo
    20485 # For now, don't use the -no-undefined flag, since the Makefiles are
    20486 # not yet set up that way.  But we need to fix this, when we want
    20487 # to comile DLLs under Windows.
     20483if test "$dependency_linking" = auto; then
     20484  # On Cygwin and AIX, building DLLs doesn't work
     20485  dependency_linking=no
     20486  if test x"$enable_shared" = xyes; then
     20487    case $build in
     20488      *-cygwin* | *-mingw*)
     20489        case "$CC" in
     20490          clang* )
     20491            dependency_linking=yes
     20492            ;;
     20493          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20494            dependency_linking=no
     20495            ;;
     20496          *gcc*)
     20497            dependency_linking=yes
     20498            ;;
     20499          *)
     20500            dependency_linking=yes
     20501            ;;
     20502        esac
     20503        ;;
     20504      *)
     20505        dependency_linking=yes
     20506        ;;
     20507    esac
     20508  fi
     20509fi
     20510
    2048820511if test "$dependency_linking" = yes ;
    2048920512then
     
    2490324926
    2490424927# Provide some information about the compiler.
    24905 echo "$as_me:24905:" \
     24928echo "$as_me:24928:" \
    2490624929     "checking for Fortran 77 compiler version" >&5
    2490724930ac_compiler=`set X $ac_compile; echo $2`
     
    2541125434ac_save_FFLAGS=$FFLAGS
    2541225435FFLAGS="$FFLAGS $ac_verb"
    25413 (eval echo $as_me:25413: \"$ac_link\") >&5
     25436(eval echo $as_me:25436: \"$ac_link\") >&5
    2541425437ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2541525438echo "$ac_f77_v_output" >&5
     
    2548925512ac_save_FFLAGS=$FFLAGS
    2549025513FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25491 (eval echo $as_me:25491: \"$ac_link\") >&5
     25514(eval echo $as_me:25514: \"$ac_link\") >&5
    2549225515ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2549325516echo "$ac_f77_v_output" >&5
     
    2824828271      coin_need_flibs=no
    2824928272      coin_save_LIBS="$LIBS"
    28250       LIBS="-framework vecLib $LIBS"
     28273      LIBS="-framework Accelerate $LIBS"
    2825128274      case $ac_ext in
    2825228275  f)
     
    2829628319  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2829728320  (exit $ac_status); }; }; then
    28298   use_blas='-framework vecLib'
     28321  use_blas='-framework Accelerate'
    2829928322                         if test $coin_need_flibs = yes ; then
    2830028323                           use_blas="$use_blas $FLIBS"
     
    2839228415    fi
    2839328416    if test $flink_try = yes; then
    28394       use_blas='-framework vecLib'
     28417      use_blas='-framework Accelerate'
    2839528418                         if test $coin_need_flibs = yes ; then
    2839628419                           use_blas="$use_blas $FLIBS"
     
    2845028473  LIBS="$flink_save_libs"
    2845128474                     coin_need_flibs=yes
    28452                      use_blas='-framework vecLib'
     28475                     use_blas='-framework Accelerate'
    2845328476                         if test $coin_need_flibs = yes ; then
    2845428477                           use_blas="$use_blas $FLIBS"
     
    2855328576    fi
    2855428577    if test $flink_try = yes; then
    28555       use_blas='-framework vecLib'
     28578      use_blas='-framework Accelerate'
    2855628579                         if test $coin_need_flibs = yes ; then
    2855728580                           use_blas="$use_blas $FLIBS"
     
    2861128634  LIBS="$flink_save_libs"
    2861228635                     coin_need_flibs=yes
    28613                      use_blas='-framework vecLib'
     28636                     use_blas='-framework Accelerate'
    2861428637                         if test $coin_need_flibs = yes ; then
    2861528638                           use_blas="$use_blas $FLIBS"
  • trunk/Makefile.in

    r1687 r2089  
    128128DEFS = @DEFS@
    129129DEPDIR = @DEPDIR@
     130DEPENDENCY_LINKING_FALSE = @DEPENDENCY_LINKING_FALSE@
     131DEPENDENCY_LINKING_TRUE = @DEPENDENCY_LINKING_TRUE@
    130132ECHO = @ECHO@
    131133ECHO_C = @ECHO_C@
  • trunk/configure

    r1946 r2089  
    485485ac_subdirs_all="$ac_subdirs_all Osi"
    486486ac_subdirs_all="$ac_subdirs_all Clp"
    487 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     487ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    488488ac_subst_files=''
    489489
     
    11091109  --enable-debug          compile all projects with debug options tests
    11101110                          (implies --disable-shared)
    1111   --enable-doscompile     Under Cygwin, compile so that executables run under
    1112                           DOS. Set to mingw to use gcc/g++/ld with
    1113                           -mno-cygwin. Set to msvc to use cl/link (or
    1114                           icl/link). Default when mentioned: mingw. Default
    1115                           when not mentioned: disabled.
     1111
     1112  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    11161113  --enable-static[=PKGS]
    11171114                          build static libraries [default=no]
     
    17841781
    17851782# Get the name of the C compiler and appropriate compiler options
    1786 case $build in
    1787   *-mingw*)
    1788     if test "${LD+set}" = set; then :; else
    1789       LD=link
    1790     fi
    1791     ;;
    1792  esac
    1793  case $enable_doscompile in
    1794    msvc)
    1795      if test "x${LD+set}" = xset; then :; else
    1796        LD=link
    1797      fi
    1798      ;;
    1799  esac
    1800 
    1801 
    1802  # Check whether --enable-doscompile or --disable-doscompile was given.
     1783
     1784
     1785  # for backward compatibility
     1786  # Check whether --enable-doscompile or --disable-doscompile was given.
    18031787if test "${enable_doscompile+set}" = set; then
    18041788  enableval="$enable_doscompile"
    1805   if test "$enable_doscompile" != no; then
    1806      case $build in
    1807        *-cygwin* | *-mingw*) ;;
    1808        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1809 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1810    { (exit 1); exit 1; }; } ;;
    1811      esac
    1812    fi
     1789  enable_doscompile=$enableval
    18131790else
    18141791  enable_doscompile=no
    18151792fi;
    1816  case "$enable_doscompile" in
    1817    mingw)
    1818      case $build in
    1819        *-mingw*) enable_doscompile=no ;;
    1820      esac
    1821      ;;
    1822    msvc|no) ;;
    1823    yes) enable_doscompile=mingw ;;
    1824    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1825                     Try configure --help=recursive." >&5
    1826 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1827                     Try configure --help=recursive." >&2;}
     1793
     1794  # Check whether --enable-msvc or --disable-msvc was given.
     1795if test "${enable_msvc+set}" = set; then
     1796  enableval="$enable_msvc"
     1797  enable_msvc=$enableval
     1798else
     1799  enable_msvc=no
     1800     if test "$enable_doscompile" = msvc ; then
     1801       enable_msvc=yes
     1802     elif test "$enable_doscompile" != no ; then
     1803       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1804echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    18281805   { (exit 1); exit 1; }; }
    1829       ;;
    1830   esac
    1831   if test "$enable_doscompile" != no ; then
    1832     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1833 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1834   fi
    1835 
     1806     fi
     1807
     1808fi;
     1809
     1810  if test "$enable_msvc" = MD; then
     1811    enable_shared=yes
     1812    enable_msvc=yes
     1813  fi
     1814
     1815  if test "$enable_msvc" = yes; then
     1816    case $build in
     1817      *-cygwin* | *-mingw*) ;;
     1818      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1819echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1820   { (exit 1); exit 1; }; } ;;
     1821    esac
     1822  fi
    18361823
    18371824
     
    18751862case $build in
    18761863  *-cygwin* | *-mingw*)
    1877              if test "$enable_doscompile" = msvc ; then
    1878                comps="icl cl"
     1864             if test "$enable_msvc" = yes ; then
     1865               comps="icl cl gcc"
    18791866             else
    1880                comps="gcc cl"
     1867               comps="gcc icl cl"
    18811868             fi ;;
    18821869  *-*-solaris*)
     
    19391926             fi
    19401927             ;;
     1928  *-*-darwin*) comps="clang gcc cc" ;;
    19411929  *-linux-gnu*) comps="gcc cc pgcc icc xlc" ;;
    19421930  *-linux-*) comps="xlc gcc cc pgcc icc" ;;
     
    26752663echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    26762664    fi ;;
     2665  * )
     2666    if test x"$CYGPATH_W" = x ; then
     2667      CYGPATH_W=echo
     2668    fi
     2669    ;;
    26772670esac
    26782671CFLAGS="$save_cflags"
     
    27282721            ;;
    27292722        esac
    2730         case $enable_doscompile in
    2731           mingw)
    2732             CFLAGS="-mno-cygwin"
    2733             cat >conftest.$ac_ext <<_ACEOF
    2734 /* confdefs.h.  */
    2735 _ACEOF
    2736 cat confdefs.h >>conftest.$ac_ext
    2737 cat >>conftest.$ac_ext <<_ACEOF
    2738 /* end confdefs.h.  */
    2739 
    2740 int
    2741 main ()
    2742 {
    2743 int i=0; i++;
    2744   ;
    2745   return 0;
    2746 }
    2747 _ACEOF
    2748 rm -f conftest.$ac_objext conftest$ac_exeext
    2749 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2750   (eval $ac_link) 2>conftest.er1
    2751   ac_status=$?
    2752   grep -v '^ *+' conftest.er1 >conftest.err
    2753   rm -f conftest.er1
    2754   cat conftest.err >&5
    2755   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2756   (exit $ac_status); } &&
    2757          { ac_try='test -z "$ac_c_werror_flag"
    2758                          || test ! -s conftest.err'
    2759   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2760   (eval $ac_try) 2>&5
    2761   ac_status=$?
    2762   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2763   (exit $ac_status); }; } &&
    2764          { ac_try='test -s conftest$ac_exeext'
    2765   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2766   (eval $ac_try) 2>&5
    2767   ac_status=$?
    2768   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2769   (exit $ac_status); }; }; then
    2770   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2771 else
    2772   echo "$as_me: failed program was:" >&5
    2773 sed 's/^/| /' conftest.$ac_ext >&5
    2774 
    2775 fi
    2776 rm -f conftest.err conftest.$ac_objext \
    2777       conftest$ac_exeext conftest.$ac_ext
    2778             CFLAGS=
    2779           ;;
    2780         esac
    27812723    esac
    27822724  fi
     
    27872729          clang* ) ;;
    27882730          cl* | */cl* | CL* | */CL*)
    2789             coin_opt_cflags='-MT -O2'
     2731            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2732              coin_opt_cflags='-MD -O2'
     2733              coin_dbg_cflags='-MDd'
     2734            else
     2735              coin_opt_cflags='-MT -O2'
     2736              coin_dbg_cflags='-MTd'
     2737            fi
    27902738            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2791             coin_dbg_cflags='-MTd'
    27922739            ;;
    27932740          icl* | */icl* | ICL* | */ICL*)
    2794             coin_opt_cflags='-MT -Ox'
     2741            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2742              coin_opt_cflags='-MD -Ox'
     2743              coin_dbg_cflags='-MDd -debug'
     2744            else
     2745              coin_opt_cflags='-MT -Ox'
     2746              coin_dbg_cflags='-MTd -debug'
     2747            fi
    27952748            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2796             coin_dbg_cflags='-MTd -debug'
    27972749            ;;
    27982750        esac
     
    29692921fi
    29702922
    2971 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    2972 
    2973 case "$CFLAGS" in
    2974   *-mno-cygwin*)
    2975     if test x${CPPFLAGS+set} != xset ; then
    2976       CPPFLAGS="-mno-cygwin"
    2977     else
    2978       case "$CPPFLAGS" in
    2979         *-mno-cygwin*)
    2980           ;;
    2981         *)
    2982           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    2983           ;;
    2984       esac
    2985     fi ;;
    2986 esac
    2987 
    29882923# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    29892924if test x$COIN_PRJCT != x; then
     
    31093044  clang* ) ;;
    31103045  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3111     case $build in
    3112   *-mingw*)
    3113     if test "${LD+set}" = set; then :; else
    3114       LD=link
    3115     fi
    3116     ;;
    3117  esac
    3118  case $enable_doscompile in
    3119    msvc)
    3120      if test "x${LD+set}" = xset; then :; else
    3121        LD=link
    3122      fi
    3123      ;;
    3124  esac
    3125 
     3046    LD=link
    31263047    ;;
    31273048esac
     
    31573078case $build in
    31583079  *-cygwin* | *-mingw*)
    3159              if test "$enable_doscompile" = msvc ; then
    3160                comps="icl cl"
    3161              else
    3162                comps="g++ cl"
    3163              fi ;;
     3080      if test "$enable_msvc" = yes ; then
     3081         comps="icl cl g++"
     3082      else
     3083         comps="g++ icl cl"
     3084      fi ;;
    31643085  *-*-solaris*)
    31653086             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    3166   *-darwin*) comps="g++ c++ CC" ;;
     3087  *-darwin*) comps="clang++ g++ c++ CC" ;;
    31673088  *-linux-gnu*)
    31683089             comps="g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC xlC_r aCC CC" ;;
     
    36013522# It seems that we need to cleanup something here for the Windows
    36023523case "$CXX" in
    3603   clang* ) ;;
     3524  clang* | */clang*) ;;
    36043525  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    36053526    sed -e 's/^void exit (int);//' confdefs.h >> confdefs.hh
     
    36303551echo "$as_me: Overruling autoconf; cl does not recognise -g." >&6;}
    36313552    fi ;;
     3553  * )
     3554    if test x"$CYGPATH_W" = x ; then
     3555      CYGPATH_W=echo
     3556    fi
     3557    ;;
    36323558esac
    36333559CXXFLAGS="$save_cxxflags"
     
    36663592            ;;
    36673593        esac
    3668 
    3669         case $enable_doscompile in
    3670           mingw)
    3671             CXXFLAGS="-mno-cygwin"
    3672             cat >conftest.$ac_ext <<_ACEOF
    3673 /* confdefs.h.  */
    3674 _ACEOF
    3675 cat confdefs.h >>conftest.$ac_ext
    3676 cat >>conftest.$ac_ext <<_ACEOF
    3677 /* end confdefs.h.  */
    3678 
    3679 int
    3680 main ()
    3681 {
    3682 int i=0; i++;
    3683   ;
    3684   return 0;
    3685 }
    3686 _ACEOF
    3687 rm -f conftest.$ac_objext conftest$ac_exeext
    3688 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3689   (eval $ac_link) 2>conftest.er1
    3690   ac_status=$?
    3691   grep -v '^ *+' conftest.er1 >conftest.err
    3692   rm -f conftest.er1
    3693   cat conftest.err >&5
    3694   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3695   (exit $ac_status); } &&
    3696          { ac_try='test -z "$ac_cxx_werror_flag"
    3697                          || test ! -s conftest.err'
    3698   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3699   (eval $ac_try) 2>&5
    3700   ac_status=$?
    3701   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3702   (exit $ac_status); }; } &&
    3703          { ac_try='test -s conftest$ac_exeext'
    3704   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3705   (eval $ac_try) 2>&5
    3706   ac_status=$?
    3707   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3708   (exit $ac_status); }; }; then
    3709   coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
    3710 else
    3711   echo "$as_me: failed program was:" >&5
    3712 sed 's/^/| /' conftest.$ac_ext >&5
    3713 
    3714 fi
    3715 rm -f conftest.err conftest.$ac_objext \
    3716       conftest$ac_exeext conftest.$ac_ext
    3717             CXXFLAGS=
    3718           ;;
    3719         esac
    37203594    esac
    37213595  fi
     
    37293603          clang* ) ;;
    37303604          cl* | */cl* | CL* | */CL*)
    3731             # The MT and MTd options are mutually exclusive
    3732             coin_opt_cxxflags='-MT -O2'
     3605            # The MT and MTd options are mutually exclusive
     3606            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3607               coin_opt_cxxflags='-MD -O2'
     3608               coin_dbg_cxxflags='-MDd'
     3609            else
     3610               coin_opt_cxxflags='-MT -O2'
     3611               coin_dbg_cxxflags='-MTd'
     3612            fi
    37333613            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    3734             coin_dbg_cxxflags='-MTd'
    37353614            ;;
    37363615          icl* | */icl* | ICL* | */ICL*)
    3737             # The MT and MTd options are mutually exclusive
    3738             coin_opt_cxxflags='-MT -Ox'
     3616          # The MT and MTd options are mutually exclusive
     3617            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     3618              coin_opt_cxxflags='-MD -Ox'
     3619              coin_dbg_cxxflags='-MDd -debug'
     3620            else
     3621              coin_opt_cxxflags='-MT -Ox'
     3622              coin_dbg_cxxflags='-MTd -debug'
     3623            fi
    37393624            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    3740             coin_dbg_cxxflags='-MTd -debug'
    37413625            ;;
    37423626        esac
     
    39193803fi
    39203804
    3921 # If CXXFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3922 
    3923 case "$CXXFLAGS" in
    3924   *-mno-cygwin*)
    3925     if test x${CPPFLAGS+set} != xset ; then
    3926       CPPFLAGS="-mno-cygwin"
    3927     else
    3928       case "$CPPFLAGS" in
    3929         *-mno-cygwin*)
    3930           ;;
    3931         *)
    3932           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3933           ;;
    3934       esac
    3935     fi ;;
    3936 esac
    3937 
    39383805# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
    39393806if test x$COIN_PRJCT != x; then
     
    40553922fi
    40563923
    4057 # correct the LD variable in a mingw build with MS or intel compiler
     3924# correct the LD variable in a build with MS or intel compiler
    40583925case "$CXX" in
    40593926  clang* ) ;;
    40603927  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4061     case $build in
    4062   *-mingw*)
    4063     if test "${LD+set}" = set; then :; else
    4064       LD=link
    4065     fi
    4066     ;;
    4067  esac
    4068  case $enable_doscompile in
    4069    msvc)
    4070      if test "x${LD+set}" = xset; then :; else
    4071        LD=link
    4072      fi
    4073      ;;
    4074  esac
    4075 
     3928    LD=link
    40763929    ;;
    40773930esac
     
    40883941case $build in
    40893942  *-cygwin* | *-mingw*)
    4090      if test "$enable_doscompile" = msvc ; then
    4091        coin_f77_comps="ifort fl32 compile_f2c"
     3943     if test "$enable_msvc" = yes ; then
     3944       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    40923945     else
    40933946       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    40993952  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    41003953 esac
    4101 
    41023954
    41033955
     
    43144166
    43154167# Provide some information about the compiler.
    4316 echo "$as_me:4316:" \
     4168echo "$as_me:4168:" \
    43174169     "checking for Fortran 77 compiler version" >&5
    43184170ac_compiler=`set X $ac_compile; echo $2`
     
    44834335    coin_add_fflags="-pipe"
    44844336    coin_dbg_fflags="-g -O0"
    4485     case $enable_doscompile in
    4486       mingw)
    4487         FFLAGS="-mno-cygwin"
    4488         cat >conftest.$ac_ext <<_ACEOF
    4489       program main
    4490       write(*,*) 'Hello world'
    4491       end
    4492 _ACEOF
    4493 rm -f conftest.$ac_objext conftest$ac_exeext
    4494 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4495   (eval $ac_link) 2>conftest.er1
    4496   ac_status=$?
    4497   grep -v '^ *+' conftest.er1 >conftest.err
    4498   rm -f conftest.er1
    4499   cat conftest.err >&5
    4500   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4501   (exit $ac_status); } &&
    4502          { ac_try='test -z "$ac_f77_werror_flag"
    4503                          || test ! -s conftest.err'
    4504   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4505   (eval $ac_try) 2>&5
    4506   ac_status=$?
    4507   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4508   (exit $ac_status); }; } &&
    4509          { ac_try='test -s conftest$ac_exeext'
    4510   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4511   (eval $ac_try) 2>&5
    4512   ac_status=$?
    4513   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4514   (exit $ac_status); }; }; then
    4515   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    4516 else
    4517   echo "$as_me: failed program was:" >&5
    4518 sed 's/^/| /' conftest.$ac_ext >&5
    4519 
    4520 fi
    4521 rm -f conftest.err conftest.$ac_objext \
    4522       conftest$ac_exeext conftest.$ac_ext
    4523         FFLAGS=
    4524       ;;
    4525     esac
    45264337  else
    45274338    case $build in
     
    45294340        case $F77 in
    45304341          ifort* | */ifort* | IFORT* | */IFORT* )
    4531             coin_opt_fflags='-MT -O3'
     4342            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     4343              coin_opt_fflags='-MD -O3'
     4344              coin_dbg_fflags='-MDd -debug'
     4345            else
     4346              coin_opt_fflags='-MT -O3'
     4347              coin_dbg_fflags='-MTd -debug'
     4348            fi
    45324349            coin_add_fflags='-fpp -nologo'
    4533             coin_dbg_fflags='-MTd -debug'
    45344350          ;;
    45354351          compile_f2c*)
    4536             coin_opt_fflags='-MT -O2'
     4352            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     4353              coin_opt_fflags='-MD -O2'
     4354              coin_dbg_fflags='-MDd'
     4355            else
     4356              coin_opt_fflags='-MT -O2'
     4357              coin_dbg_fflags='-MTd'
     4358            fi
    45374359            coin_add_fflags='-nologo -wd4996'
    4538             coin_dbg_fflags='-MTd'
    45394360          ;;
    45404361        esac
     
    46914512fi
    46924513
    4693 # If FFLAGS contains -mno-cygwin, CPPFLAGS must have it.
    4694 case "$FFLAGS" in
    4695   *-mno-cygwin*)
    4696     if test x${CPPFLAGS+set} != xset ; then
    4697       CPPFLAGS="-mno-cygwin"
    4698     else
    4699       case "$CPPFLAGS" in
    4700         *-mno-cygwin*)
    4701           ;;
    4702         *)
    4703           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    4704           ;;
    4705       esac
    4706     fi ;;
    4707 esac
    4708 
    47094514# Try if FFLAGS works
    47104515if test "$F77" != "unavailable" ; then
     
    48054610case "$F77" in
    48064611  ifort* | */ifort* | IFORT* | */IFORT*)
    4807     case $build in
    4808   *-mingw*)
    4809     if test "${LD+set}" = set; then :; else
    4810       LD=link
    4811     fi
    4812     ;;
    4813  esac
    4814  case $enable_doscompile in
    4815    msvc)
    4816      if test "x${LD+set}" = xset; then :; else
    4817        LD=link
    4818      fi
    4819      ;;
    4820  esac
    4821 
     4612    LD=link
    48224613    ;;
    48234614esac
     
    48394630# START
    48404631
     4632coin_disable_shared=no
    48414633# Test if force_shared has been set
    48424634if test "x" = xforce_shared; then
     
    48484640  enable_shared=yes;
    48494641else
    4850   # On Cygwin and AIX, building DLLs doesn't work
    48514642  case $build in
    4852     *-cygwin*)
     4643    *-cygwin* | *-mingw*)
    48534644      coin_disable_shared=yes
    4854       platform=Cygwin
     4645      if test x"$enable_shared" = xyes; then
     4646        case "$CC" in
     4647          clang* )
     4648            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4649echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
     4650            ;;
     4651          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     4652            { echo "$as_me:$LINENO: Building of DLLs not supported in this configuration." >&5
     4653echo "$as_me: Building of DLLs not supported in this configuration." >&6;}
     4654            ;;
     4655          *gcc*)
     4656            if test x"$enable_dependency_linking" = xyes; then
     4657              coin_disable_shared=no
     4658            else
     4659              { echo "$as_me:$LINENO: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&5
     4660echo "$as_me: WARNING: Dependency linking seems to be disabled, so shared libraries (DLLs) will not be built" >&2;}
     4661            fi
     4662            ;;
     4663          *)
     4664            { echo "$as_me:$LINENO: WARNING: Building of DLLs not supported in this configuration." >&5
     4665echo "$as_me: WARNING: Building of DLLs not supported in this configuration." >&2;}
     4666            ;;
     4667        esac
     4668      fi
    48554669    ;;
    48564670    *-aix*)
    48574671      coin_disable_shared=yes
    48584672      platform=AIX
    4859     ;;
    4860     *-mingw*)
    4861       coin_disable_shared=yes
    4862       platform="Msys"
    4863 #      case "$CXX" in
    4864 #        cl*)
    4865 #          coin_disable_shared=yes
    4866 #          platform="Msys with cl"
    4867 #      ;;
    4868 #      esac
     4673      if test x"$enable_shared" = xyes; then
     4674        { echo "$as_me:$LINENO: WARNING: Shared objects are not supported." >&5
     4675echo "$as_me: WARNING: Shared objects are not supported." >&2;}
     4676      fi
    48694677    ;;
    48704678  esac
     
    48724680if test x"$coin_disable_shared" = xyes; then
    48734681  if test x"$enable_shared" = xyes; then
    4874     { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    4875 echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4682    :
     4683  else
     4684    # we don't disable shared, because it was not selected anyway
     4685    coin_disable_shared=no
    48764686  fi
    48774687  enable_shared=no
     
    60295839
    60305840LIBTOOL=
    6031 if test -r ../libtool; then
     5841if test -f ../libtool; then
    60325842  coin_config_dir=..
    60335843  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    60345844fi
    60355845if test "x$LIBTOOL" = x; then
    6036   if test -r ../../libtool; then
     5846  if test -f ../../libtool; then
    60375847    coin_config_dir=../..
    60385848    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    65806390*-*-irix6*)
    65816391  # Find out which ABI we are using.
    6582   echo '#line 6582 "configure"' > conftest.$ac_ext
     6392  echo '#line 6392 "configure"' > conftest.$ac_ext
    65836393  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    65846394  (eval $ac_compile) 2>&5
     
    85448354   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85458355   -e 's:$: $lt_compiler_flag:'`
    8546    (eval echo "\"\$as_me:8546: $lt_compile\"" >&5)
     8356   (eval echo "\"\$as_me:8356: $lt_compile\"" >&5)
    85478357   (eval "$lt_compile" 2>conftest.err)
    85488358   ac_status=$?
    85498359   cat conftest.err >&5
    8550    echo "$as_me:8550: \$? = $ac_status" >&5
     8360   echo "$as_me:8360: \$? = $ac_status" >&5
    85518361   if (exit $ac_status) && test -s "$ac_outfile"; then
    85528362     # The compiler can only warn and ignore the option if not recognized
     
    88128622   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88138623   -e 's:$: $lt_compiler_flag:'`
    8814    (eval echo "\"\$as_me:8814: $lt_compile\"" >&5)
     8624   (eval echo "\"\$as_me:8624: $lt_compile\"" >&5)
    88158625   (eval "$lt_compile" 2>conftest.err)
    88168626   ac_status=$?
    88178627   cat conftest.err >&5
    8818    echo "$as_me:8818: \$? = $ac_status" >&5
     8628   echo "$as_me:8628: \$? = $ac_status" >&5
    88198629   if (exit $ac_status) && test -s "$ac_outfile"; then
    88208630     # The compiler can only warn and ignore the option if not recognized
     
    89168726   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89178727   -e 's:$: $lt_compiler_flag:'`
    8918    (eval echo "\"\$as_me:8918: $lt_compile\"" >&5)
     8728   (eval echo "\"\$as_me:8728: $lt_compile\"" >&5)
    89198729   (eval "$lt_compile" 2>out/conftest.err)
    89208730   ac_status=$?
    89218731   cat out/conftest.err >&5
    8922    echo "$as_me:8922: \$? = $ac_status" >&5
     8732   echo "$as_me:8732: \$? = $ac_status" >&5
    89238733   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    89248734   then
     
    1126111071  lt_status=$lt_dlunknown
    1126211072  cat > conftest.$ac_ext <<EOF
    11263 #line 11263 "configure"
     11073#line 11073 "configure"
    1126411074#include "confdefs.h"
    1126511075
     
    1136111171  lt_status=$lt_dlunknown
    1136211172  cat > conftest.$ac_ext <<EOF
    11363 #line 11363 "configure"
     11173#line 11173 "configure"
    1136411174#include "confdefs.h"
    1136511175
     
    1370513515   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1370613516   -e 's:$: $lt_compiler_flag:'`
    13707    (eval echo "\"\$as_me:13707: $lt_compile\"" >&5)
     13517   (eval echo "\"\$as_me:13517: $lt_compile\"" >&5)
    1370813518   (eval "$lt_compile" 2>conftest.err)
    1370913519   ac_status=$?
    1371013520   cat conftest.err >&5
    13711    echo "$as_me:13711: \$? = $ac_status" >&5
     13521   echo "$as_me:13521: \$? = $ac_status" >&5
    1371213522   if (exit $ac_status) && test -s "$ac_outfile"; then
    1371313523     # The compiler can only warn and ignore the option if not recognized
     
    1380913619   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1381013620   -e 's:$: $lt_compiler_flag:'`
    13811    (eval echo "\"\$as_me:13811: $lt_compile\"" >&5)
     13621   (eval echo "\"\$as_me:13621: $lt_compile\"" >&5)
    1381213622   (eval "$lt_compile" 2>out/conftest.err)
    1381313623   ac_status=$?
    1381413624   cat out/conftest.err >&5
    13815    echo "$as_me:13815: \$? = $ac_status" >&5
     13625   echo "$as_me:13625: \$? = $ac_status" >&5
    1381613626   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1381713627   then
     
    1537915189   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1538015190   -e 's:$: $lt_compiler_flag:'`
    15381    (eval echo "\"\$as_me:15381: $lt_compile\"" >&5)
     15191   (eval echo "\"\$as_me:15191: $lt_compile\"" >&5)
    1538215192   (eval "$lt_compile" 2>conftest.err)
    1538315193   ac_status=$?
    1538415194   cat conftest.err >&5
    15385    echo "$as_me:15385: \$? = $ac_status" >&5
     15195   echo "$as_me:15195: \$? = $ac_status" >&5
    1538615196   if (exit $ac_status) && test -s "$ac_outfile"; then
    1538715197     # The compiler can only warn and ignore the option if not recognized
     
    1548315293   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1548415294   -e 's:$: $lt_compiler_flag:'`
    15485    (eval echo "\"\$as_me:15485: $lt_compile\"" >&5)
     15295   (eval echo "\"\$as_me:15295: $lt_compile\"" >&5)
    1548615296   (eval "$lt_compile" 2>out/conftest.err)
    1548715297   ac_status=$?
    1548815298   cat out/conftest.err >&5
    15489    echo "$as_me:15489: \$? = $ac_status" >&5
     15299   echo "$as_me:15299: \$? = $ac_status" >&5
    1549015300   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1549115301   then
     
    1769017500   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1769117501   -e 's:$: $lt_compiler_flag:'`
    17692    (eval echo "\"\$as_me:17692: $lt_compile\"" >&5)
     17502   (eval echo "\"\$as_me:17502: $lt_compile\"" >&5)
    1769317503   (eval "$lt_compile" 2>conftest.err)
    1769417504   ac_status=$?
    1769517505   cat conftest.err >&5
    17696    echo "$as_me:17696: \$? = $ac_status" >&5
     17506   echo "$as_me:17506: \$? = $ac_status" >&5
    1769717507   if (exit $ac_status) && test -s "$ac_outfile"; then
    1769817508     # The compiler can only warn and ignore the option if not recognized
     
    1795817768   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1795917769   -e 's:$: $lt_compiler_flag:'`
    17960    (eval echo "\"\$as_me:17960: $lt_compile\"" >&5)
     17770   (eval echo "\"\$as_me:17770: $lt_compile\"" >&5)
    1796117771   (eval "$lt_compile" 2>conftest.err)
    1796217772   ac_status=$?
    1796317773   cat conftest.err >&5
    17964    echo "$as_me:17964: \$? = $ac_status" >&5
     17774   echo "$as_me:17774: \$? = $ac_status" >&5
    1796517775   if (exit $ac_status) && test -s "$ac_outfile"; then
    1796617776     # The compiler can only warn and ignore the option if not recognized
     
    1806217872   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1806317873   -e 's:$: $lt_compiler_flag:'`
    18064    (eval echo "\"\$as_me:18064: $lt_compile\"" >&5)
     17874   (eval echo "\"\$as_me:17874: $lt_compile\"" >&5)
    1806517875   (eval "$lt_compile" 2>out/conftest.err)
    1806617876   ac_status=$?
    1806717877   cat out/conftest.err >&5
    18068    echo "$as_me:18068: \$? = $ac_status" >&5
     17878   echo "$as_me:17878: \$? = $ac_status" >&5
    1806917879   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1807017880   then
     
    2076120571    # Here we need to check if -m32 is specified.  If so, we need to correct
    2076220572    # sys_lib_search_path_spec
     20573    *-cygwin* | *-mingw*)
     20574       case "$CXX" in
     20575    clang* )
     20576      # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
     20577      { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
     20578echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
     20579      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20580          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20581          -e 's|libext="lib"|libext="a"|' \
     20582      libtool > conftest.bla
     20583      ;;
     20584    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20585      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20586echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     20587      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20588          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20589          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20590          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20591          -e 's%lib /OUT:%lib -OUT:%' \
     20592          -e "s%cygpath -w%$CYGPATH_W%" \
     20593          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\$(lib -nologo -list \\$('"$CYGPATH_W \$1"') '"$mydos2unix"' | xargs echo); echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$('"$CYGPATH_W \$1"'); done%' \
     20594          -e 's%$AR t "$f_ex_an_ar_oldlib"%lib -nologo -list \$('"$CYGPATH_W \$1"') '"$mydos2unix"'%' \
     20595          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20596          -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20597          -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
     20598      libtool > conftest.bla
     20599      ;;
     20600    *)
     20601      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20602echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     20603      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20604          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20605          -e 's|libext="lib"|libext="a"|' \
     20606      libtool > conftest.bla
     20607      ;;
     20608  esac
     20609  mv conftest.bla libtool
     20610  chmod 755 libtool
     20611
     20612      ;;
    2076320613    *x86_64-*)
    2076420614      if test "$GCC" = yes && (echo $CXXFLAGS $CFLAGS $FFLAGS | $EGREP 'm32' >& /dev/null); then
     
    2080020650      ;;
    2080120651    # Cygwin. Ah, cygwin. Too big and ugly to inline; see the macro.
    20802     *-cygwin* | *-mingw*)
    20803        case "$CXX" in
    20804     clang* )
    20805       # we assume that libtool patches for CLANG are the same as for GNU compiler - correct???
    20806       { echo "$as_me:$LINENO: Applying patches to libtool for CLANG compiler" >&5
    20807 echo "$as_me: Applying patches to libtool for CLANG compiler" >&6;}
    20808       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20809           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20810           -e 's|libext="lib"|libext="a"|' \
    20811       libtool > conftest.bla
    20812       ;;
    20813     cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20814       { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    20815 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20816       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20817           -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20818           -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20819           -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20820           -e 's%lib /OUT:%lib -OUT:%' \
    20821           -e "s%cygpath -w%$CYGPATH_W%" \
    20822           -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo '"$mydos2unix"'\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20823           -e 's/$AR t/lib -nologo -list/' \
    20824           -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20825           -e 's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20826           -e 's%old_archive_cmds="lib -OUT:\\$oldlib\\$oldobjs\\$old_deplibs"%old_archive_cmds="if test -r \\$oldlib; then bla=\\"\\$oldlib\\"; else bla=; fi; lib -OUT:\\$oldlib \\\\\\$bla\\$oldobjs\\$old_deplibs"%' \
    20827       libtool > conftest.bla
    20828       ;;
    20829     *)
    20830       { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    20831 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20832       sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20833           -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20834           -e 's|libext="lib"|libext="a"|' \
    20835       libtool > conftest.bla
    20836       ;;
    20837   esac
    20838   mv conftest.bla libtool
    20839   chmod 755 libtool
    20840 
    20841       ;;
    2084220652    *-darwin*)
    2084320653      { echo "$as_me:$LINENO: Applying patches to libtool for Darwin" >&5
     
    2094720757# AC_MSG_NOTICE([End of INIT_AUTO_TOOLS.])
    2094820758
    20949 # ToDo
    20950 # For now, don't use the -no-undefined flag, since the Makefiles are
    20951 # not yet set up that way.  But we need to fix this, when we want
    20952 # to comile DLLs under Windows.
    20953 LT_LDFLAGS=
     20759# Check whether --enable-dependency-linking or --disable-dependency-linking was given.
     20760if test "${enable_dependency_linking+set}" = set; then
     20761  enableval="$enable_dependency_linking"
     20762  dependency_linking="$enableval"
     20763else
     20764  dependency_linking=auto
     20765fi;
     20766
     20767if test "$dependency_linking" = auto; then
     20768  # On Cygwin and AIX, building DLLs doesn't work
     20769  dependency_linking=no
     20770  if test x"$enable_shared" = xyes; then
     20771    case $build in
     20772      *-cygwin* | *-mingw*)
     20773        case "$CC" in
     20774          clang* )
     20775            dependency_linking=yes
     20776            ;;
     20777          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     20778            dependency_linking=no
     20779            ;;
     20780          *gcc*)
     20781            dependency_linking=yes
     20782            ;;
     20783          *)
     20784            dependency_linking=yes
     20785            ;;
     20786        esac
     20787        ;;
     20788      *)
     20789        dependency_linking=yes
     20790        ;;
     20791    esac
     20792  fi
     20793fi
     20794
     20795if test "$dependency_linking" = yes ;
     20796then
     20797  LT_LDFLAGS="-no-undefined"
     20798else
     20799  LT_LDFLAGS=
     20800fi
     20801
     20802
     20803
     20804if test "$dependency_linking" = yes; then
     20805  DEPENDENCY_LINKING_TRUE=
     20806  DEPENDENCY_LINKING_FALSE='#'
     20807else
     20808  DEPENDENCY_LINKING_TRUE='#'
     20809  DEPENDENCY_LINKING_FALSE=
     20810fi
     20811
    2095420812
    2095520813# Check if we want to set the library version
     
    2132421182
    2132521183
    21326   if test $coin_has_lapack != skipping; then
     21184  if test $coin_has_lapack != no; then
    2132721185    #--with-lapack can overwrite --with-lapack-lib, and can be set to BUILD to enforce building lapack
    2132821186
     
    2251122369echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2251222370coin_link_input_cmd="$LN_S"
    22513 if test "$enable_doscompile" = mingw; then
    22514   coin_link_input_cmd=cp
    22515 fi
    2251622371case "$CC" in
    2251722372  clang* ) ;;
     
    2273722592Usually this means the macro was only invoked conditionally." >&5
    2273822593echo "$as_me: error: conditional \"HAVE_EXTERNALS\" was never defined.
     22594Usually this means the macro was only invoked conditionally." >&2;}
     22595   { (exit 1); exit 1; }; }
     22596fi
     22597if test -z "${DEPENDENCY_LINKING_TRUE}" && test -z "${DEPENDENCY_LINKING_FALSE}"; then
     22598  { { echo "$as_me:$LINENO: error: conditional \"DEPENDENCY_LINKING\" was never defined.
     22599Usually this means the macro was only invoked conditionally." >&5
     22600echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    2273922601Usually this means the macro was only invoked conditionally." >&2;}
    2274022602   { (exit 1); exit 1; }; }
     
    2336823230s,@ac_cxx_preproc_warn_flag@,$ac_cxx_preproc_warn_flag,;t t
    2336923231s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
     23232s,@DEPENDENCY_LINKING_TRUE@,$DEPENDENCY_LINKING_TRUE,;t t
     23233s,@DEPENDENCY_LINKING_FALSE@,$DEPENDENCY_LINKING_FALSE,;t t
    2337023234s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    2337123235s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
Note: See TracChangeset for help on using the changeset viewer.